%global debug_package %{nil}

%global package_name ovs-cni
%global spec_release 5

%global cnv12_repo cnv12-tech-preview
%global openshift3_repo openshift3

%define manifests_namespace kube-system
%define manifests_ovs_cni_image_repo %{cnv12_repo}
%define manifests_ovs_cni_image_name ovs-cni-plugin
%define manifests_ovs_cni_image_version 1.2
%define manifests_ovs_cni_image_pull_policy Always
%define manifests_multus_image_repo %{cnv12_repo}
%define manifests_multus_image_name multus-cni
%define manifests_multus_image_version 1.2
%define manifests_multus_image_pull_policy Always
%define manifests_openshift_node_image_repo %{openshift3_repo}
%define manifests_openshift_node_image_name ose-node
%define manifests_openshift_node_image_version v3.11
%define manifests_openshift_node_image_pull_policy Always

Name:           %{package_name}
Version:        0.1.2
Release:        %{spec_release}
Summary:        %{package_name} - Open vSwitch CNI plugin for CNV

License:        ASL 2.0
URL:            https://github.com/kubevirt/ovs-cni
Source0:        %{name}-%{version}.tar.gz

%description
This plugin allows users to connect their Pods to Open vSwitch bridges.

%package     manifests
Summary:     %{package_name} - manifests
BuildArch:   noarch
%description manifests
Manifest deploying OVS CNI on OCP %{manifests_openshift_node_image_version} cluster

%prep
%setup -q -n %{name}

%build
NAMESPACE=%{manifests_namespace} \
OVS_CNI_IMAGE_REPO=%{manifests_ovs_cni_image_repo} \
OVS_CNI_IMAGE_NAME=%{manifests_ovs_cni_image_name} \
OVS_CNI_IMAGE_VERSION=%{manifests_ovs_cni_image_version} \
OVS_CNI_IMAGE_PULL_POLICY=%{manifests_ovs_cni_image_pull_policy} \
MULTUS_IMAGE_REPO=%{manifests_multus_image_repo} \
MULTUS_IMAGE_NAME=%{manifests_multus_image_name} \
MULTUS_IMAGE_VERSION=%{manifests_multus_image_version} \
MULTUS_IMAGE_PULL_POLICY=%{manifests_multus_image_pull_policy} \
OPENSHIFT_NODE_IMAGE_REPO=%{manifests_openshift_node_image_repo} \
OPENSHIFT_NODE_IMAGE_NAME=%{manifests_openshift_node_image_name} \
OPENSHIFT_NODE_IMAGE_VERSION=%{manifests_openshift_node_image_version} \
OPENSHIFT_NODE_IMAGE_PULL_POLICY=%{manifests_openshift_node_image_pull_policy} \
make manifests

%install
install -d -m 0755 %{buildroot}%{_datadir}/%{name}/manifests
ls examples
cp examples/openshift-multus.yml %{buildroot}%{_datadir}/%{name}/manifests/
cp examples/openshift-ovs-vsctl.yml %{buildroot}%{_datadir}/%{name}/manifests/
cp examples/ovs-cni.yml %{buildroot}%{_datadir}/%{name}/manifests/

%files manifests
%{_datadir}/%{name}/manifests/

%changelog
* Wed Oct 17 2018 Leon Goldberg - 0.1.1-5
- Removing docker prefix

* Sun Oct 14 2018 Leon Goldberg - 0.1.1-4
- Adding -cnv suffix to manifests_multus_image_name

* Tue Sep 18 2018 Ihar Hrachyshka - 0.1.1-3
- Remove sed dependency

* Tue Sep 18 2018 Ihar Hrachyshka - 0.1.1-2
- Change how we specify docker prefix

* Mon Sep 17 2018 Petr Horacek - 0.1.1-1
- Build RPM with manifests from 0.1.1-1
